| base-4.1.0.0: Basic libraries | Source code | Contents | Index

Data.Bool

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Contents

Booleans
  Operations

Description
The `Bool` type and related functions.
Synopsis

Bool (False, True)
(&&) :: Bool -> Bool -> Bool
(||) :: Bool -> Bool -> Bool
not :: Bool -> Bool
otherwise :: Bool

Booleans
Bool (False, True)
Operations

(&&) :: Bool -> Bool -> Bool | Source

Boolean "and"

(||) :: Bool -> Bool -> Bool | Source

Boolean "or"

not :: Bool -> Bool | Source

Boolean "not"

otherwise :: Bool | Source

`otherwise` is defined as the value `True`. It helps to make guards more readable. eg.

      f x | x < 0     = ...
          | otherwise = ...

Produced by Haddock version 2.4.2